Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network154.136.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
154.136.0.0
Broadcast address
154.143.255.255
First usable
154.136.0.1
Last usable
154.143.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex 9A880000 · Integer 2592604160 to 2593128447
Reverse DNS zones
136.154.in-addr.arpa
137.154.in-addr.arpa
138.154.in-addr.arpa
139.154.in-addr.arpa
140.154.in-addr.arpa
141.154.in-addr.arpa
142.154.in-addr.arpa
143.154.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011010.10001000.00000000.00000000154.136.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10011010.10001000.00000000.00000000154.136.0.0
Broadcast10011010.10001111.11111111.11111111154.143.255.255
Split into smaller subnets/22

154.136.0.0/13 makes 512 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1154.136.0.0/22154.136.0.1 to 154.136.3.254154.136.3.2551,022
2154.136.4.0/22154.136.4.1 to 154.136.7.254154.136.7.2551,022
3154.136.8.0/22154.136.8.1 to 154.136.11.254154.136.11.2551,022
4154.136.12.0/22154.136.12.1 to 154.136.15.254154.136.15.2551,022
5154.136.16.0/22154.136.16.1 to 154.136.19.254154.136.19.2551,022
6154.136.20.0/22154.136.20.1 to 154.136.23.254154.136.23.2551,022
7154.136.24.0/22154.136.24.1 to 154.136.27.254154.136.27.2551,022
8154.136.28.0/22154.136.28.1 to 154.136.31.254154.136.31.2551,022
9154.136.32.0/22154.136.32.1 to 154.136.35.254154.136.35.2551,022
10154.136.36.0/22154.136.36.1 to 154.136.39.254154.136.39.2551,022
11154.136.40.0/22154.136.40.1 to 154.136.43.254154.136.43.2551,022
12154.136.44.0/22154.136.44.1 to 154.136.47.254154.136.47.2551,022
13154.136.48.0/22154.136.48.1 to 154.136.51.254154.136.51.2551,022
14154.136.52.0/22154.136.52.1 to 154.136.55.254154.136.55.2551,022
15154.136.56.0/22154.136.56.1 to 154.136.59.254154.136.59.2551,022
16154.136.60.0/22154.136.60.1 to 154.136.63.254154.136.63.2551,022
17154.136.64.0/22154.136.64.1 to 154.136.67.254154.136.67.2551,022
18154.136.68.0/22154.136.68.1 to 154.136.71.254154.136.71.2551,022
19154.136.72.0/22154.136.72.1 to 154.136.75.254154.136.75.2551,022
20154.136.76.0/22154.136.76.1 to 154.136.79.254154.136.79.2551,022
21154.136.80.0/22154.136.80.1 to 154.136.83.254154.136.83.2551,022
22154.136.84.0/22154.136.84.1 to 154.136.87.254154.136.87.2551,022
23154.136.88.0/22154.136.88.1 to 154.136.91.254154.136.91.2551,022
24154.136.92.0/22154.136.92.1 to 154.136.95.254154.136.95.2551,022
25154.136.96.0/22154.136.96.1 to 154.136.99.254154.136.99.2551,022
26154.136.100.0/22154.136.100.1 to 154.136.103.254154.136.103.2551,022
27154.136.104.0/22154.136.104.1 to 154.136.107.254154.136.107.2551,022
28154.136.108.0/22154.136.108.1 to 154.136.111.254154.136.111.2551,022
29154.136.112.0/22154.136.112.1 to 154.136.115.254154.136.115.2551,022
30154.136.116.0/22154.136.116.1 to 154.136.119.254154.136.119.2551,022
31154.136.120.0/22154.136.120.1 to 154.136.123.254154.136.123.2551,022
32154.136.124.0/22154.136.124.1 to 154.136.127.254154.136.127.2551,022
33154.136.128.0/22154.136.128.1 to 154.136.131.254154.136.131.2551,022
34154.136.132.0/22154.136.132.1 to 154.136.135.254154.136.135.2551,022
35154.136.136.0/22154.136.136.1 to 154.136.139.254154.136.139.2551,022
36154.136.140.0/22154.136.140.1 to 154.136.143.254154.136.143.2551,022
37154.136.144.0/22154.136.144.1 to 154.136.147.254154.136.147.2551,022
38154.136.148.0/22154.136.148.1 to 154.136.151.254154.136.151.2551,022
39154.136.152.0/22154.136.152.1 to 154.136.155.254154.136.155.2551,022
40154.136.156.0/22154.136.156.1 to 154.136.159.254154.136.159.2551,022
41154.136.160.0/22154.136.160.1 to 154.136.163.254154.136.163.2551,022
42154.136.164.0/22154.136.164.1 to 154.136.167.254154.136.167.2551,022
43154.136.168.0/22154.136.168.1 to 154.136.171.254154.136.171.2551,022
44154.136.172.0/22154.136.172.1 to 154.136.175.254154.136.175.2551,022
45154.136.176.0/22154.136.176.1 to 154.136.179.254154.136.179.2551,022
46154.136.180.0/22154.136.180.1 to 154.136.183.254154.136.183.2551,022
47154.136.184.0/22154.136.184.1 to 154.136.187.254154.136.187.2551,022
48154.136.188.0/22154.136.188.1 to 154.136.191.254154.136.191.2551,022
49154.136.192.0/22154.136.192.1 to 154.136.195.254154.136.195.2551,022
50154.136.196.0/22154.136.196.1 to 154.136.199.254154.136.199.2551,022
51154.136.200.0/22154.136.200.1 to 154.136.203.254154.136.203.2551,022
52154.136.204.0/22154.136.204.1 to 154.136.207.254154.136.207.2551,022
53154.136.208.0/22154.136.208.1 to 154.136.211.254154.136.211.2551,022
54154.136.212.0/22154.136.212.1 to 154.136.215.254154.136.215.2551,022
55154.136.216.0/22154.136.216.1 to 154.136.219.254154.136.219.2551,022
56154.136.220.0/22154.136.220.1 to 154.136.223.254154.136.223.2551,022
57154.136.224.0/22154.136.224.1 to 154.136.227.254154.136.227.2551,022
58154.136.228.0/22154.136.228.1 to 154.136.231.254154.136.231.2551,022
59154.136.232.0/22154.136.232.1 to 154.136.235.254154.136.235.2551,022
60154.136.236.0/22154.136.236.1 to 154.136.239.254154.136.239.2551,022
61154.136.240.0/22154.136.240.1 to 154.136.243.254154.136.243.2551,022
62154.136.244.0/22154.136.244.1 to 154.136.247.254154.136.247.2551,022
63154.136.248.0/22154.136.248.1 to 154.136.251.254154.136.251.2551,022
64154.136.252.0/22154.136.252.1 to 154.136.255.254154.136.255.2551,022
65154.137.0.0/22154.137.0.1 to 154.137.3.254154.137.3.2551,022
66154.137.4.0/22154.137.4.1 to 154.137.7.254154.137.7.2551,022
67154.137.8.0/22154.137.8.1 to 154.137.11.254154.137.11.2551,022
68154.137.12.0/22154.137.12.1 to 154.137.15.254154.137.15.2551,022
69154.137.16.0/22154.137.16.1 to 154.137.19.254154.137.19.2551,022
70154.137.20.0/22154.137.20.1 to 154.137.23.254154.137.23.2551,022
71154.137.24.0/22154.137.24.1 to 154.137.27.254154.137.27.2551,022
72154.137.28.0/22154.137.28.1 to 154.137.31.254154.137.31.2551,022
73154.137.32.0/22154.137.32.1 to 154.137.35.254154.137.35.2551,022
74154.137.36.0/22154.137.36.1 to 154.137.39.254154.137.39.2551,022
75154.137.40.0/22154.137.40.1 to 154.137.43.254154.137.43.2551,022
76154.137.44.0/22154.137.44.1 to 154.137.47.254154.137.47.2551,022
77154.137.48.0/22154.137.48.1 to 154.137.51.254154.137.51.2551,022
78154.137.52.0/22154.137.52.1 to 154.137.55.254154.137.55.2551,022
79154.137.56.0/22154.137.56.1 to 154.137.59.254154.137.59.2551,022
80154.137.60.0/22154.137.60.1 to 154.137.63.254154.137.63.2551,022
81154.137.64.0/22154.137.64.1 to 154.137.67.254154.137.67.2551,022
82154.137.68.0/22154.137.68.1 to 154.137.71.254154.137.71.2551,022
83154.137.72.0/22154.137.72.1 to 154.137.75.254154.137.75.2551,022
84154.137.76.0/22154.137.76.1 to 154.137.79.254154.137.79.2551,022
85154.137.80.0/22154.137.80.1 to 154.137.83.254154.137.83.2551,022
86154.137.84.0/22154.137.84.1 to 154.137.87.254154.137.87.2551,022
87154.137.88.0/22154.137.88.1 to 154.137.91.254154.137.91.2551,022
88154.137.92.0/22154.137.92.1 to 154.137.95.254154.137.95.2551,022
89154.137.96.0/22154.137.96.1 to 154.137.99.254154.137.99.2551,022
90154.137.100.0/22154.137.100.1 to 154.137.103.254154.137.103.2551,022
91154.137.104.0/22154.137.104.1 to 154.137.107.254154.137.107.2551,022
92154.137.108.0/22154.137.108.1 to 154.137.111.254154.137.111.2551,022
93154.137.112.0/22154.137.112.1 to 154.137.115.254154.137.115.2551,022
94154.137.116.0/22154.137.116.1 to 154.137.119.254154.137.119.2551,022
95154.137.120.0/22154.137.120.1 to 154.137.123.254154.137.123.2551,022
96154.137.124.0/22154.137.124.1 to 154.137.127.254154.137.127.2551,022
97154.137.128.0/22154.137.128.1 to 154.137.131.254154.137.131.2551,022
98154.137.132.0/22154.137.132.1 to 154.137.135.254154.137.135.2551,022
99154.137.136.0/22154.137.136.1 to 154.137.139.254154.137.139.2551,022
100154.137.140.0/22154.137.140.1 to 154.137.143.254154.137.143.2551,022
101154.137.144.0/22154.137.144.1 to 154.137.147.254154.137.147.2551,022
102154.137.148.0/22154.137.148.1 to 154.137.151.254154.137.151.2551,022
103154.137.152.0/22154.137.152.1 to 154.137.155.254154.137.155.2551,022
104154.137.156.0/22154.137.156.1 to 154.137.159.254154.137.159.2551,022
105154.137.160.0/22154.137.160.1 to 154.137.163.254154.137.163.2551,022
106154.137.164.0/22154.137.164.1 to 154.137.167.254154.137.167.2551,022
107154.137.168.0/22154.137.168.1 to 154.137.171.254154.137.171.2551,022
108154.137.172.0/22154.137.172.1 to 154.137.175.254154.137.175.2551,022
109154.137.176.0/22154.137.176.1 to 154.137.179.254154.137.179.2551,022
110154.137.180.0/22154.137.180.1 to 154.137.183.254154.137.183.2551,022
111154.137.184.0/22154.137.184.1 to 154.137.187.254154.137.187.2551,022
112154.137.188.0/22154.137.188.1 to 154.137.191.254154.137.191.2551,022
113154.137.192.0/22154.137.192.1 to 154.137.195.254154.137.195.2551,022
114154.137.196.0/22154.137.196.1 to 154.137.199.254154.137.199.2551,022
115154.137.200.0/22154.137.200.1 to 154.137.203.254154.137.203.2551,022
116154.137.204.0/22154.137.204.1 to 154.137.207.254154.137.207.2551,022
117154.137.208.0/22154.137.208.1 to 154.137.211.254154.137.211.2551,022
118154.137.212.0/22154.137.212.1 to 154.137.215.254154.137.215.2551,022
119154.137.216.0/22154.137.216.1 to 154.137.219.254154.137.219.2551,022
120154.137.220.0/22154.137.220.1 to 154.137.223.254154.137.223.2551,022
121154.137.224.0/22154.137.224.1 to 154.137.227.254154.137.227.2551,022
122154.137.228.0/22154.137.228.1 to 154.137.231.254154.137.231.2551,022
123154.137.232.0/22154.137.232.1 to 154.137.235.254154.137.235.2551,022
124154.137.236.0/22154.137.236.1 to 154.137.239.254154.137.239.2551,022
125154.137.240.0/22154.137.240.1 to 154.137.243.254154.137.243.2551,022
126154.137.244.0/22154.137.244.1 to 154.137.247.254154.137.247.2551,022
127154.137.248.0/22154.137.248.1 to 154.137.251.254154.137.251.2551,022
128154.137.252.0/22154.137.252.1 to 154.137.255.254154.137.255.2551,022
129154.138.0.0/22154.138.0.1 to 154.138.3.254154.138.3.2551,022
130154.138.4.0/22154.138.4.1 to 154.138.7.254154.138.7.2551,022
131154.138.8.0/22154.138.8.1 to 154.138.11.254154.138.11.2551,022
132154.138.12.0/22154.138.12.1 to 154.138.15.254154.138.15.2551,022
133154.138.16.0/22154.138.16.1 to 154.138.19.254154.138.19.2551,022
134154.138.20.0/22154.138.20.1 to 154.138.23.254154.138.23.2551,022
135154.138.24.0/22154.138.24.1 to 154.138.27.254154.138.27.2551,022
136154.138.28.0/22154.138.28.1 to 154.138.31.254154.138.31.2551,022
137154.138.32.0/22154.138.32.1 to 154.138.35.254154.138.35.2551,022
138154.138.36.0/22154.138.36.1 to 154.138.39.254154.138.39.2551,022
139154.138.40.0/22154.138.40.1 to 154.138.43.254154.138.43.2551,022
140154.138.44.0/22154.138.44.1 to 154.138.47.254154.138.47.2551,022
141154.138.48.0/22154.138.48.1 to 154.138.51.254154.138.51.2551,022
142154.138.52.0/22154.138.52.1 to 154.138.55.254154.138.55.2551,022
143154.138.56.0/22154.138.56.1 to 154.138.59.254154.138.59.2551,022
144154.138.60.0/22154.138.60.1 to 154.138.63.254154.138.63.2551,022
145154.138.64.0/22154.138.64.1 to 154.138.67.254154.138.67.2551,022
146154.138.68.0/22154.138.68.1 to 154.138.71.254154.138.71.2551,022
147154.138.72.0/22154.138.72.1 to 154.138.75.254154.138.75.2551,022
148154.138.76.0/22154.138.76.1 to 154.138.79.254154.138.79.2551,022
149154.138.80.0/22154.138.80.1 to 154.138.83.254154.138.83.2551,022
150154.138.84.0/22154.138.84.1 to 154.138.87.254154.138.87.2551,022
151154.138.88.0/22154.138.88.1 to 154.138.91.254154.138.91.2551,022
152154.138.92.0/22154.138.92.1 to 154.138.95.254154.138.95.2551,022
153154.138.96.0/22154.138.96.1 to 154.138.99.254154.138.99.2551,022
154154.138.100.0/22154.138.100.1 to 154.138.103.254154.138.103.2551,022
155154.138.104.0/22154.138.104.1 to 154.138.107.254154.138.107.2551,022
156154.138.108.0/22154.138.108.1 to 154.138.111.254154.138.111.2551,022
157154.138.112.0/22154.138.112.1 to 154.138.115.254154.138.115.2551,022
158154.138.116.0/22154.138.116.1 to 154.138.119.254154.138.119.2551,022
159154.138.120.0/22154.138.120.1 to 154.138.123.254154.138.123.2551,022
160154.138.124.0/22154.138.124.1 to 154.138.127.254154.138.127.2551,022
161154.138.128.0/22154.138.128.1 to 154.138.131.254154.138.131.2551,022
162154.138.132.0/22154.138.132.1 to 154.138.135.254154.138.135.2551,022
163154.138.136.0/22154.138.136.1 to 154.138.139.254154.138.139.2551,022
164154.138.140.0/22154.138.140.1 to 154.138.143.254154.138.143.2551,022
165154.138.144.0/22154.138.144.1 to 154.138.147.254154.138.147.2551,022
166154.138.148.0/22154.138.148.1 to 154.138.151.254154.138.151.2551,022
167154.138.152.0/22154.138.152.1 to 154.138.155.254154.138.155.2551,022
168154.138.156.0/22154.138.156.1 to 154.138.159.254154.138.159.2551,022
169154.138.160.0/22154.138.160.1 to 154.138.163.254154.138.163.2551,022
170154.138.164.0/22154.138.164.1 to 154.138.167.254154.138.167.2551,022
171154.138.168.0/22154.138.168.1 to 154.138.171.254154.138.171.2551,022
172154.138.172.0/22154.138.172.1 to 154.138.175.254154.138.175.2551,022
173154.138.176.0/22154.138.176.1 to 154.138.179.254154.138.179.2551,022
174154.138.180.0/22154.138.180.1 to 154.138.183.254154.138.183.2551,022
175154.138.184.0/22154.138.184.1 to 154.138.187.254154.138.187.2551,022
176154.138.188.0/22154.138.188.1 to 154.138.191.254154.138.191.2551,022
177154.138.192.0/22154.138.192.1 to 154.138.195.254154.138.195.2551,022
178154.138.196.0/22154.138.196.1 to 154.138.199.254154.138.199.2551,022
179154.138.200.0/22154.138.200.1 to 154.138.203.254154.138.203.2551,022
180154.138.204.0/22154.138.204.1 to 154.138.207.254154.138.207.2551,022
181154.138.208.0/22154.138.208.1 to 154.138.211.254154.138.211.2551,022
182154.138.212.0/22154.138.212.1 to 154.138.215.254154.138.215.2551,022
183154.138.216.0/22154.138.216.1 to 154.138.219.254154.138.219.2551,022
184154.138.220.0/22154.138.220.1 to 154.138.223.254154.138.223.2551,022
185154.138.224.0/22154.138.224.1 to 154.138.227.254154.138.227.2551,022
186154.138.228.0/22154.138.228.1 to 154.138.231.254154.138.231.2551,022
187154.138.232.0/22154.138.232.1 to 154.138.235.254154.138.235.2551,022
188154.138.236.0/22154.138.236.1 to 154.138.239.254154.138.239.2551,022
189154.138.240.0/22154.138.240.1 to 154.138.243.254154.138.243.2551,022
190154.138.244.0/22154.138.244.1 to 154.138.247.254154.138.247.2551,022
191154.138.248.0/22154.138.248.1 to 154.138.251.254154.138.251.2551,022
192154.138.252.0/22154.138.252.1 to 154.138.255.254154.138.255.2551,022
193154.139.0.0/22154.139.0.1 to 154.139.3.254154.139.3.2551,022
194154.139.4.0/22154.139.4.1 to 154.139.7.254154.139.7.2551,022
195154.139.8.0/22154.139.8.1 to 154.139.11.254154.139.11.2551,022
196154.139.12.0/22154.139.12.1 to 154.139.15.254154.139.15.2551,022
197154.139.16.0/22154.139.16.1 to 154.139.19.254154.139.19.2551,022
198154.139.20.0/22154.139.20.1 to 154.139.23.254154.139.23.2551,022
199154.139.24.0/22154.139.24.1 to 154.139.27.254154.139.27.2551,022
200154.139.28.0/22154.139.28.1 to 154.139.31.254154.139.31.2551,022
201154.139.32.0/22154.139.32.1 to 154.139.35.254154.139.35.2551,022
202154.139.36.0/22154.139.36.1 to 154.139.39.254154.139.39.2551,022
203154.139.40.0/22154.139.40.1 to 154.139.43.254154.139.43.2551,022
204154.139.44.0/22154.139.44.1 to 154.139.47.254154.139.47.2551,022
205154.139.48.0/22154.139.48.1 to 154.139.51.254154.139.51.2551,022
206154.139.52.0/22154.139.52.1 to 154.139.55.254154.139.55.2551,022
207154.139.56.0/22154.139.56.1 to 154.139.59.254154.139.59.2551,022
208154.139.60.0/22154.139.60.1 to 154.139.63.254154.139.63.2551,022
209154.139.64.0/22154.139.64.1 to 154.139.67.254154.139.67.2551,022
210154.139.68.0/22154.139.68.1 to 154.139.71.254154.139.71.2551,022
211154.139.72.0/22154.139.72.1 to 154.139.75.254154.139.75.2551,022
212154.139.76.0/22154.139.76.1 to 154.139.79.254154.139.79.2551,022
213154.139.80.0/22154.139.80.1 to 154.139.83.254154.139.83.2551,022
214154.139.84.0/22154.139.84.1 to 154.139.87.254154.139.87.2551,022
215154.139.88.0/22154.139.88.1 to 154.139.91.254154.139.91.2551,022
216154.139.92.0/22154.139.92.1 to 154.139.95.254154.139.95.2551,022
217154.139.96.0/22154.139.96.1 to 154.139.99.254154.139.99.2551,022
218154.139.100.0/22154.139.100.1 to 154.139.103.254154.139.103.2551,022
219154.139.104.0/22154.139.104.1 to 154.139.107.254154.139.107.2551,022
220154.139.108.0/22154.139.108.1 to 154.139.111.254154.139.111.2551,022
221154.139.112.0/22154.139.112.1 to 154.139.115.254154.139.115.2551,022
222154.139.116.0/22154.139.116.1 to 154.139.119.254154.139.119.2551,022
223154.139.120.0/22154.139.120.1 to 154.139.123.254154.139.123.2551,022
224154.139.124.0/22154.139.124.1 to 154.139.127.254154.139.127.2551,022
225154.139.128.0/22154.139.128.1 to 154.139.131.254154.139.131.2551,022
226154.139.132.0/22154.139.132.1 to 154.139.135.254154.139.135.2551,022
227154.139.136.0/22154.139.136.1 to 154.139.139.254154.139.139.2551,022
228154.139.140.0/22154.139.140.1 to 154.139.143.254154.139.143.2551,022
229154.139.144.0/22154.139.144.1 to 154.139.147.254154.139.147.2551,022
230154.139.148.0/22154.139.148.1 to 154.139.151.254154.139.151.2551,022
231154.139.152.0/22154.139.152.1 to 154.139.155.254154.139.155.2551,022
232154.139.156.0/22154.139.156.1 to 154.139.159.254154.139.159.2551,022
233154.139.160.0/22154.139.160.1 to 154.139.163.254154.139.163.2551,022
234154.139.164.0/22154.139.164.1 to 154.139.167.254154.139.167.2551,022
235154.139.168.0/22154.139.168.1 to 154.139.171.254154.139.171.2551,022
236154.139.172.0/22154.139.172.1 to 154.139.175.254154.139.175.2551,022
237154.139.176.0/22154.139.176.1 to 154.139.179.254154.139.179.2551,022
238154.139.180.0/22154.139.180.1 to 154.139.183.254154.139.183.2551,022
239154.139.184.0/22154.139.184.1 to 154.139.187.254154.139.187.2551,022
240154.139.188.0/22154.139.188.1 to 154.139.191.254154.139.191.2551,022
241154.139.192.0/22154.139.192.1 to 154.139.195.254154.139.195.2551,022
242154.139.196.0/22154.139.196.1 to 154.139.199.254154.139.199.2551,022
243154.139.200.0/22154.139.200.1 to 154.139.203.254154.139.203.2551,022
244154.139.204.0/22154.139.204.1 to 154.139.207.254154.139.207.2551,022
245154.139.208.0/22154.139.208.1 to 154.139.211.254154.139.211.2551,022
246154.139.212.0/22154.139.212.1 to 154.139.215.254154.139.215.2551,022
247154.139.216.0/22154.139.216.1 to 154.139.219.254154.139.219.2551,022
248154.139.220.0/22154.139.220.1 to 154.139.223.254154.139.223.2551,022
249154.139.224.0/22154.139.224.1 to 154.139.227.254154.139.227.2551,022
250154.139.228.0/22154.139.228.1 to 154.139.231.254154.139.231.2551,022
251154.139.232.0/22154.139.232.1 to 154.139.235.254154.139.235.2551,022
252154.139.236.0/22154.139.236.1 to 154.139.239.254154.139.239.2551,022
253154.139.240.0/22154.139.240.1 to 154.139.243.254154.139.243.2551,022
254154.139.244.0/22154.139.244.1 to 154.139.247.254154.139.247.2551,022
255154.139.248.0/22154.139.248.1 to 154.139.251.254154.139.251.2551,022
256154.139.252.0/22154.139.252.1 to 154.139.255.254154.139.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses